diff --git python-fontname/python-fontname.spec python-fontname/python-fontname.spec.tmp
index d7dd2ffb3e..2401da7501 100644
--- python-fontname/python-fontname.spec
+++ python-fontname/python-fontname.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-fontname
 Version:        0.2.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A lib for guessing font name
 
 License:        MIT
@@ -14,12 +14,20 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-freetype
 
-%description
-fontname is a lib for guessing font name, in other words, reading and decoding
-quirk encoded raw font name.
-
+%global _description\
+fontname is a lib for guessing font name, in other words, reading and decoding\
+quirk encoded raw font name.\
+\
 It current supports SFNT format fonts, and is adept at dealing with CJK fonts.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %package -n python3-%{srcname}
 Summary:        A lib for guessing font name
 BuildRequires:  python3-devel
@@ -51,7 +59,7 @@ It current supports SFNT format fonts, and is adept at dealing with CJK fonts.
 %{__python2} setup.py test
 %{__python3} setup.py test
 
-%files -n python-%{srcname}
+%files -n python2-%{srcname}
 %doc PKG-INFO README.rst
 %license LICENSE.txt
 %{python2_sitelib}/%{srcname}.py*
@@ -65,6 +73,10 @@ It current supports SFNT format fonts, and is adept at dealing with CJK fonts.
 %{python3_sitelib}/%{srcname}-%{version}-py3.*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-9
+- Python 2 subpackage renamed to python2-fontname
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-frozen-flask/python-frozen-flask.spec python-frozen-flask/python-frozen-flask.spec.tmp
index 03aa08c2c8..c69c95f185 100644
--- python-frozen-flask/python-frozen-flask.spec
+++ python-frozen-flask/python-frozen-flask.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-frozen-flask
 Version:        0.12
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        Frozen-Flask freezes a Flask application into a set of static files
 
 License:        BSD
@@ -17,13 +17,21 @@ BuildArch:      noarch
 
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Requires:       python-flask
 
-%description
-Frozen-Flask freezes a Flask application into a set of static files. The result
-can be hosted without any server-side software other than a traditional web 
+%global _description\
+Frozen-Flask freezes a Flask application into a set of static files. The result\
+can be hosted without any server-side software other than a traditional web\
 server.
 
+%description %_description
+
+%package -n python2-frozen-flask
+Summary: %summary
+Requires:       python-flask
+%{?python_provide:%python_provide python2-frozen-flask}
+
+%description -n python2-frozen-flask %_description
+
 %if 0%{?with_python3}
 %package -n python3-frozen-flask
 Summary:        Frozen-Flask freezes a Flask application into a set of static files
@@ -56,7 +64,7 @@ rm -rf %{pypi_name}.egg-info
 %endif
 
  
-%files
+%files -n python2-frozen-flask
 %doc README
 %license LICENSE
 %{python2_sitelib}/*
@@ -70,6 +78,10 @@ rm -rf %{pypi_name}.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.12-6
+- Python 2 subpackage renamed to python2-frozen-flask
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fuckit/python-fuckit.spec python-fuckit/python-fuckit.spec.tmp
index 6ce6b1cdf6..f10588632a 100644
--- python-fuckit/python-fuckit.spec
+++ python-fuckit/python-fuckit.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{srcname}
 Version:        4.8.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        The Python Error Steamroller
 
 License:        WTFPL
@@ -25,10 +25,18 @@ BuildRequires:  python3-setuptools
 BuildRequires:  python3-nose
 %endif # if with_python3
 
-%description
-FuckIt.py uses state-of-the-art technology to make sure your Python code runs
-whether it has any right to or not. Some code has an error? Fuck it.
+%global _description\
+FuckIt.py uses state-of-the-art technology to make sure your Python code runs\
+whether it has any right to or not. Some code has an error? Fuck it.\
+
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
@@ -85,7 +93,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-%{srcname}
 # The license text is available in README.md
 %doc README.md
 %{python2_sitelib}/%{srcname}.py*
@@ -101,6 +109,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.8.0-11
+- Python 2 subpackage renamed to python2-fuckit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-funcparserlib/python-funcparserlib.spec python-funcparserlib/python-funcparserlib.spec.tmp
index d2de76aefc..a30ab121a0 100644
--- python-funcparserlib/python-funcparserlib.spec
+++ python-funcparserlib/python-funcparserlib.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{srcname}
 Version:        0.3.6
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Recursive descent parsing library based on functional combinators
 
 License:        MIT
@@ -24,9 +24,17 @@ BuildRequires:  python2-devel python-setuptools  python-nose
 BuildRequires:  python3-devel python3-setuptools python3-nose
 %endif
 
-%description
-%(cat %{SOURCE1})
+%global _description\
+%(cat %{SOURCE1})\
+
+
+%description %_description
 
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if %{has_py3}
 %package -n python3-%{srcname}
@@ -82,7 +90,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{srcname}
 %doc PKG-INFO LICENSE README CHANGES
 %{python2_sitelib}/%{srcname}*
 %exclude %{python2_sitelib}/%{srcname}/tests
@@ -97,6 +105,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-13
+- Python 2 subpackage renamed to python2-funcparserlib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-fuzzywuzzy/python-fuzzywuzzy.spec python-fuzzywuzzy/python-fuzzywuzzy.spec.tmp
index 3b2387e913..a67cfad1c9 100644
--- python-fuzzywuzzy/python-fuzzywuzzy.spec
+++ python-fuzzywuzzy/python-fuzzywuzzy.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.7.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Fuzzy string matching in Python
 
 License:        MIT
@@ -17,10 +17,18 @@ BuildArch:      noarch
  
 BuildRequires:  python2-devel
 
-%description
-Fuzzy string matching like a boss.
+%global _description\
+Fuzzy string matching like a boss.\
 
 
+%description %_description
+
+%package -n python2-fuzzywuzzy
+Summary: %summary
+%{?python_provide:%python_provide python2-fuzzywuzzy}
+
+%description -n python2-fuzzywuzzy %_description
+
 %if 0%{?with_python3}
 %package -n python3-fuzzywuzzy
 Summary:        Fuzzy string matching in Python
@@ -76,7 +84,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-fuzzywuzzy
 %doc LICENSE.txt
 %{python2_sitelib}/%{pypi_name}
 %{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info
@@ -91,6 +99,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.0-7
+- Python 2 subpackage renamed to python2-fuzzywuzzy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gasp/python-gasp.spec python-gasp/python-gasp.spec.tmp
index 2558ae9aa0..c76f6df4b6 100644
--- python-gasp/python-gasp.spec
+++ python-gasp/python-gasp.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-gasp
 Version:        0.3.2
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        API wrapper on top of pygame
 Group:          Development/Libraries
 License:        GPLv3+
@@ -13,18 +13,26 @@ Source0:        http://launchpad.net/gasp-core/0.3.x/%{version}/+download/%{name
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
-Requires:       pygame
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-GASP provides a simple, procedural graphics API for beginning 
-students using Python. 
+%global _description\
+GASP provides a simple, procedural graphics API for beginning\
+students using Python.\
+\
+It allows for the easy creation of 1980's style games with litle\
+or no prior programming experince.\
+\
+It is a wrapper around pygame.
 
-It allows for the easy creation of 1980's style games with litle
-or no prior programming experince.
+%description %_description
 
-It is a wrapper around pygame.
+%package -n python2-gasp
+Summary: %summary
+Requires:       pygame
+%{?python_provide:%python_provide python2-gasp}
+
+%description -n python2-gasp %_description
 
 %prep
 %setup -q -n %{name}-%{version}
@@ -43,7 +51,7 @@ chmod 0755 $RPM_BUILD_ROOT/%{python_sitelib}/gasp/*.py
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-gasp
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING NEWS README
 %dir %{python_sitelib}/gasp
@@ -52,6 +60,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/gasp-%{version}-py%{python_version}.egg-info/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-14
+- Python 2 subpackage renamed to python2-gasp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gccinvocation/python-gccinvocation.spec python-gccinvocation/python-gccinvocation.spec.tmp
index fe0c9f82fa..7f89876e8c 100644
--- python-gccinvocation/python-gccinvocation.spec
+++ python-gccinvocation/python-gccinvocation.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-gccinvocation
 Version:        0.1
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Library for parsing GCC command-line options
 
 License:        LGPLv2+
@@ -20,10 +20,18 @@ BuildRequires:  python3-devel
 # ^^^: used during selftests
 %endif
 
-%description
-"gccinvocation" is a python module that can parse gcc command lines and
+%global _description\
+"gccinvocation" is a python module that can parse gcc command lines and\
 extract data of interest e.g. include paths, defines, etc.
 
+%description %_description
+
+%package -n python2-gccinvocation
+Summary: %summary
+%{?python_provide:%python_provide python2-gccinvocation}
+
+%description -n python2-gccinvocation %_description
+
 %if 0%{?with_python3}
 %package -n python3-gccinvocation
 Summary:        Library for parsing GCC command-line options
@@ -71,7 +79,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-gccinvocation
 %doc README.rst lgpl-2.1.txt
 %{python_sitelib}/gccinvocation-%{version}-py2.?.egg-info
 %{python_sitelib}/gccinvocation.py
@@ -87,6 +95,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-13
+- Python 2 subpackage renamed to python2-gccinvocation
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gdata/python-gdata.spec python-gdata/python-gdata.spec.tmp
index f371481881..4abfddf3ba 100644
--- python-gdata/python-gdata.spec
+++ python-gdata/python-gdata.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-gdata
 Version:        2.0.18
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A Python module for accessing online Google services
 
 Group:          Development/Languages
@@ -15,31 +15,39 @@ Source0:        http://gdata-python-client.googlecode.com/files/gdata-%{version}
 
 BuildArch:      noarch
 BuildRequires:  python-devel
-Requires:       python >= 2.5
 
 
-%description
-This is a Python module for accessing online Google services such as:
-- Base
-- Blogger
-- Calendar
-- Health
-- Picasa Web Albums
-- Spreadsheets
-- Documents List
-- Contacts
-- YouTube
-- Google Apps Provisioning
-- Code Search
-- Notebook
-- Webmaster Tools API
-- Google Analytics Data Export API
-- Google Book Search Data API
-- Google Finance Portfolio Data API
-- Google Maps Data API
-- Sites Data API
-- Issue Tracker Data API
+%global _description\
+This is a Python module for accessing online Google services such as:\
+- Base\
+- Blogger\
+- Calendar\
+- Health\
+- Picasa Web Albums\
+- Spreadsheets\
+- Documents List\
+- Contacts\
+- YouTube\
+- Google Apps Provisioning\
+- Code Search\
+- Notebook\
+- Webmaster Tools API\
+- Google Analytics Data Export API\
+- Google Book Search Data API\
+- Google Finance Portfolio Data API\
+- Google Maps Data API\
+- Sites Data API\
+- Issue Tracker Data API\
+
+
+%description %_description
+
+%package -n python2-gdata
+Summary: %summary
+Requires:       python >= 2.5
+%{?python_provide:%python_provide python2-gdata}
 
+%description -n python2-gdata %_description
 
 %prep
 %setup -q -n gdata-%{version}
@@ -53,7 +61,7 @@ find -type f -print0 |  xargs -0 sed -i 's/\r//'
 %install
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%files
+%files -n python2-gdata
 %defattr(-,root,root,-)
 %doc README.txt RELEASE_NOTES.txt samples/
 %{python_sitelib}/atom
@@ -61,6 +69,10 @@ find -type f -print0 |  xargs -0 sed -i 's/\r//'
 %{python_sitelib}/gdata-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.18-9
+- Python 2 subpackage renamed to python2-gdata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.18-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gd/python-gd.spec python-gd/python-gd.spec.tmp
index aa8a781601..2a2af9475a 100644
--- python-gd/python-gd.spec
+++ python-gd/python-gd.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:		python-gd
 Version:	0.56
-Release:	15%{?dist}
+Release:	16%{?dist}
 Summary:	Python GD module
 Group:		Development/Libraries
 License:	BSD
@@ -31,18 +31,26 @@ BuildRequires:	libXpm-devel
 BuildRequires:	openjpeg-devel
 BuildRequires:	python2-devel
 BuildRequires:	zlib-devel
-Requires:	gd >= 2.0.23
-
-%description
-The GDmodule is an interface to the GD library written by Thomas Boutell.
 
-    'gd is a graphics library. It allows your code to quickly draw images
-     complete with lines, arcs, text, multiple colors, cut and paste from
-     other images, and flood fills, and write out the result as a PNG or
-     JPEG file. This is particularly useful in World Wide Web applications,
-     where PNG and JPEG are two of the formats accepted for inline images
+%global _description\
+The GDmodule is an interface to the GD library written by Thomas Boutell.\
+\
+    'gd is a graphics library. It allows your code to quickly draw images\
+     complete with lines, arcs, text, multiple colors, cut and paste from\
+     other images, and flood fills, and write out the result as a PNG or\
+     JPEG file. This is particularly useful in World Wide Web applications,\
+     where PNG and JPEG are two of the formats accepted for inline images\
      by most browsers.'
 
+%description %_description
+
+%package -n python2-gd
+Summary: %summary
+Requires:	gd >= 2.0.23
+%{?python_provide:%python_provide python2-gd}
+
+%description -n python2-gd %_description
+
 %prep
 %setup -q -n %{mod_name}-%{version}
 sed -e 's|\r||' %{SOURCE1} > LICENSE
@@ -56,13 +64,17 @@ CFLAGS="%{optflags}" %{__python} Setup.py build
 %{__python} Setup.py install --root $RPM_BUILD_ROOT
 chmod 755 $RPM_BUILD_ROOT/%{python_sitearch}/_gd.so
 
-%files
+%files -n python2-gd
 %doc LICENSE README
 %{python_sitearch}/_gd.so
 %{python_sitearch}/gd.py*
 %{python_sitearch}/%{mod_name}-%{version}-py2.7.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.56-16
+- Python 2 subpackage renamed to python2-gd
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.56-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gearbox/python-gearbox.spec python-gearbox/python-gearbox.spec.tmp
index 10b253e165..cb37134b48 100644
--- python-gearbox/python-gearbox.spec
+++ python-gearbox/python-gearbox.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-gearbox
 Version:            0.1.1
-Release:            6%{?dist}
+Release:            7%{?dist}
 Summary:            Command line toolkit born as a PasteScript replacement for TurboGears2
 
 Group:              Development/Libraries
@@ -19,23 +19,30 @@ BuildArch:          noarch
 BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 
-Requires:           python-prettytable
-Requires:           python-cliff
-Requires:           python-tempita
-Requires:           python-paste-deploy
-
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
 %endif
 
-%description
-gearbox is a paster command replacement for TurboGears2. It has been
-created during the process of providing Python3 support to the TurboGears2
-web framework, while still being backward compatible with the existing
-TurboGears projects.
+%global _description\
+gearbox is a paster command replacement for TurboGears2. It has been\
+created during the process of providing Python3 support to the TurboGears2\
+web framework, while still being backward compatible with the existing\
+TurboGears projects.\
 
 
+%description %_description
+
+%package -n python2-gearbox
+Summary: %summary
+Requires:           python-paste-deploy
+Requires:           python-tempita
+Requires:           python-cliff
+Requires:           python-prettytable
+%{?python_provide:%python_provide python2-gearbox}
+
+%description -n python2-gearbox %_description
+
 %if 0%{?with_python3}
 %package -n python3-gearbox
 Summary:            Command line toolkit born as a PasteScript replacement for TurboGears2
@@ -85,7 +92,7 @@ popd
 %{__python} setup.py install -O1 --skip-build --root=%{buildroot}
 
 
-%files
+%files -n python2-gearbox
 %doc README.rst
 %{_bindir}/gearbox
 %{python_sitelib}/%{modname}/
@@ -100,6 +107,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.1-7
+- Python 2 subpackage renamed to python2-gearbox
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gear/python-gear.spec python-gear/python-gear.spec.tmp
index 1124d29c09..ddb8af1f43 100644
--- python-gear/python-gear.spec
+++ python-gear/python-gear.spec.tmp
@@ -3,7 +3,7 @@
 
 Name: python-%{srcname}
 Version: 0.5.9
-Release: 6%{?dist}
+Release: 7%{?dist}
 Summary: Pure Python Async Gear Protocol Library
 
 Group: Applications/Productivity
@@ -27,21 +27,28 @@ BuildRequires: python-testrepository
 BuildRequires: python-testresources
 BuildRequires: python-testscenarios
 
-Requires: python-extras
-Requires: python-daemon
-Requires: python-pbr
 
+%global _description\
+python-gear implements an asynchronous event-driven interface to Gearman.\
+It provides interfaces to build a client or worker, and access to the\
+administrative protocol. The design approach is to keep it simple, with a\
+relatively thin abstraction of the Gearman protocol itself. It should be\
+easy to use to build a client or worker that operates either synchronously\
+or asynchronously. The module also provides a simple Gearman server for\
+use as a convenience in unit tests. The server is not designed for\
+production use under load.\
 
-%description
-python-gear implements an asynchronous event-driven interface to Gearman.
-It provides interfaces to build a client or worker, and access to the
-administrative protocol. The design approach is to keep it simple, with a
-relatively thin abstraction of the Gearman protocol itself. It should be
-easy to use to build a client or worker that operates either synchronously
-or asynchronously. The module also provides a simple Gearman server for
-use as a convenience in unit tests. The server is not designed for
-production use under load.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires: python-pbr
+Requires: python-daemon
+Requires: python-extras
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %prep
 %autosetup -n %{srcname}-%{version} -S git
@@ -61,7 +68,7 @@ rm -rf {test-,}requirements.txt
 %{__python2} setup.py testr
 
 
-%files
+%files -n python2-%{srcname}
 %doc README.rst CONTRIBUTING.rst doc
 %license LICENSE
 %{_bindir}/*
@@ -70,6 +77,10 @@ rm -rf {test-,}requirements.txt
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.9-7
+- Python 2 subpackage renamed to python2-gear
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.9-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gencpp/python-gencpp.spec python-gencpp/python-gencpp.spec.tmp
index 458ebbaed6..0461872f27 100644
--- python-gencpp/python-gencpp.spec
+++ python-gencpp/python-gencpp.spec.tmp
@@ -3,7 +3,7 @@
 %global stackname gencpp
 Name:           python-%{stackname}
 Version:        0.3.4
-Release:        10.20130623git%{shortcommit}%{?dist}
+Release:        11.20130623git%{shortcommit}%{?dist}
 Summary:        C++ ROS message and service generators
 
 License:        BSD
@@ -19,10 +19,17 @@ BuildRequires:  python-setuptools
 BuildRequires:  catkin-devel
 BuildRequires:  python-genmsg-devel
 
+%global _description\
+gencpp generates ROS C++ messages from message definition files
+
+%description %_description
+
+%package -n python2-%{stackname}
+Summary: %summary
 Requires: python-genmsg
+%{?python_provide:%python_provide python2-%{stackname}}
 
-%description
-gencpp generates ROS C++ messages from message definition files
+%description -n python2-%{stackname} %_description
 
 %package devel
 Summary: Development files for %{name}
@@ -50,7 +57,7 @@ mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkg
 
 rm -rf %{buildroot}%{_datadir}/%{stackname}/bin
 
-%files
+%files -n python2-%{stackname}
 %{_bindir}/*
 %config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
 %dir %{_datadir}/%{stackname}
@@ -65,6 +72,10 @@ rm -rf %{buildroot}%{_datadir}/%{stackname}/bin
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.4-11.20130623git403d067
+- Python 2 subpackage renamed to python2-gencpp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-10.20130623git403d067
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-genlisp/python-genlisp.spec python-genlisp/python-genlisp.spec.tmp
index 6574e532f8..58e12f9080 100644
--- python-genlisp/python-genlisp.spec
+++ python-genlisp/python-genlisp.spec.tmp
@@ -4,7 +4,7 @@
 %global stackname genlisp
 Name:           python-%{stackname}
 Version:        0.3.3
-Release:        10.20130623git%{shortcommit}%{?dist}
+Release:        11.20130623git%{shortcommit}%{?dist}
 Summary:        Lisp ROS message and service generators
 
 License:        BSD
@@ -20,19 +20,26 @@ BuildRequires:  python-setuptools
 BuildRequires:  catkin-devel
 BuildRequires:  python-genmsg-devel
 
-Requires: python-genmsg
-
 %package devel
 Summary: Development files for %{name}
-Requires: %{name} = %{version}-%{release}
-Requires: python-genmsg-devel
 
 %description devel
 %{summary}.
 
-%description
+%global _description\
 genlisp generates ROS Lisp messages from message definition files
 
+%description %_description
+
+%package -n python2-%{stackname}
+Summary: %summary
+Requires: python-genmsg-devel
+Requires: %{name} = %{version}-%{release}
+Requires: python-genmsg
+%{?python_provide:%python_provide python2-%{stackname}}
+
+%description -n python2-%{stackname} %_description
+
 %prep
 %setup -qn %{stackname}-%{commit}
 %patch0 -p1 -b .langs
@@ -50,7 +57,7 @@ rm -rf %{buildroot}%{_datadir}/%{stackname}/bin
 mkdir -p %{buildroot}%{_datadir}/pkgconfig
 mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkgconfig
 
-%files
+%files -n python2-%{stackname}
 %doc
 %{_bindir}/*
 %config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
@@ -64,6 +71,10 @@ mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkg
 %{_datadir}/%{stackname}/cmake
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.3-11.20130623git8790a17
+- Python 2 subpackage renamed to python2-genlisp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-10.20130623git8790a17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-genmsg/python-genmsg.spec python-genmsg/python-genmsg.spec.tmp
index a8829e44e0..fb860c9873 100644
--- python-genmsg/python-genmsg.spec
+++ python-genmsg/python-genmsg.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{stackname}
 Version:        0.3.10
-Release:        12.20130617git%{shortcommit}%{?dist}
+Release:        13.20130617git%{shortcommit}%{?dist}
 Summary:        Python library for generating ROS message and service data
 
 License:        BSD
@@ -22,14 +22,22 @@ BuildRequires:  python-sphinx
 BuildRequires:  catkin-devel
 BuildRequires:  python-catkin-sphinx
 
-%description
-Project genmsg exists in order to decouple code generation from .msg & .srv 
-format files from the parsing of these files and from implementation details 
-of the build system (project directory layout, existence or nonexistence of 
-utilities like rospack, values of environment variables such as 
-ROS_PACKAGE_PATH): i.e. none of these are required to be set in any 
+%global _description\
+Project genmsg exists in order to decouple code generation from .msg & .srv\
+format files from the parsing of these files and from implementation details\
+of the build system (project directory layout, existence or nonexistence of\
+utilities like rospack, values of environment variables such as\
+ROS_PACKAGE_PATH): i.e. none of these are required to be set in any\
 particular way.
 
+%description %_description
+
+%package -n python2-%{stackname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{stackname}}
+
+%description -n python2-%{stackname} %_description
+
 %package devel
 Summary: Development files for %{name}
 Requires: %{name} = %{version}-%{release}
@@ -75,7 +83,7 @@ sed -i '1,1d' %{buildroot}%{python_sitelib}/%{stackname}/gentools.py
 mkdir -p %{buildroot}%{_mandir}/man1
 install -p -m 0644 doc/_build/man/%{stackname}.1 %{buildroot}%{_mandir}/man1/
 
-%files
+%files -n python2-%{stackname}
 %doc doc/_build/html
 %dir %{_datadir}/%{stackname}
 %{_datadir}/%{stackname}/stack.xml
@@ -89,6 +97,10 @@ install -p -m 0644 doc/_build/man/%{stackname}.1 %{buildroot}%{_mandir}/man1/
 %{_datadir}/%{stackname}/cmake
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.10-13.20130617git95ca00d
+- Python 2 subpackage renamed to python2-genmsg
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-12.20130617git95ca00d
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-genpy/python-genpy.spec python-genpy/python-genpy.spec.tmp
index fe2884ae67..3a09021300 100644
--- python-genpy/python-genpy.spec
+++ python-genpy/python-genpy.spec.tmp
@@ -3,7 +3,7 @@
 %global stackname genpy
 Name:           python-%{stackname}
 Version:        0.3.7
-Release:        12.20130623git%{shortcommit}%{?dist}
+Release:        13.20130623git%{shortcommit}%{?dist}
 Summary:        Python ROS message and service generation
 
 License:        BSD
@@ -21,10 +21,17 @@ BuildRequires:  python-catkin-sphinx
 BuildRequires:  python-genmsg-devel
 BuildRequires:  python-nose
 
+%global _description\
+genpy generates ROS Python messages from message definition files
+
+%description %_description
+
+%package -n python2-%{stackname}
+Summary: %summary
 Requires:       python-genmsg
+%{?python_provide:%python_provide python2-%{stackname}}
 
-%description
-genpy generates ROS Python messages from message definition files
+%description -n python2-%{stackname} %_description
 
 %package devel
 Summary: Development files for %{name}
@@ -59,7 +66,7 @@ mv %{buildroot}%{_libdir}/pkgconfig/%{stackname}.pc %{buildroot}/%{_datadir}/pkg
 %check
 make -C build test
 
-%files
+%files -n python2-%{stackname}
 %doc doc/_build/html
 %{_bindir}/*
 %config(noreplace) %{_sysconfdir}/ros-langs/%{stackname}
@@ -73,6 +80,10 @@ make -C build test
 %{_datadir}/pkgconfig/*.pc
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.7-13.20130623giteddf66e
+- Python 2 subpackage renamed to python2-genpy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.7-12.20130623giteddf66e
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
